WellbyteWellbyte

GET /v1/instagram/v3/get_location_posts

Get location posts

stable · 11 credits per success

Get Instagram location-related posts;Support sorting by top or latest;Location ID can be obtained from search API (search_places) or post details;location_id: Location ID (numeric);tab: Post sort order;- `ranked`: Top posts (default);- `recent`: Latest posts;first: Posts per page (default 12, max 50);after: Pagination cursor from previous response `page_info.end_cursor`;page_size_override: Posts …

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s 'https://api.wellbyte.net/v1/instagram/v3/get_location_posts?tab=demo&after=demo&first=NaN&location_id=1016248898&page_size_override=NaN' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-08-27

data{
code:0
data{
tab:"ranked"
_rid:"3338e6069ff1d"
data{ 1 item }
count:12
items[ 2 items ]
next_max_id:null
}
meta{
endpoint:"instagram.v3.get_location_posts"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    tabstringqueryno帖子类型demo
    afterstringqueryno翻页游标,从上一次响应的end_cursor获取demo
    firstintegerqueryno翻页时每页数量demo
    location_idstringqueryyes地点ID1016248898
    page_size_overrideintegerqueryno每页数量demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 11 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs